com.io7m.jcanephora.renderstate

## Interface JCGLRenderStateType

- All Known Implementing Classes:
    JCGLRenderState, JCGLRenderStateMutable

      @Value.Immutable
       @Value.Modifiable
      public interface JCGLRenderStateType

  The type of render states.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<JCGLBlendStateType>` | `blendState()`
    `default JCGLColorBufferMaskingStateType` | `colorBufferMaskingState()`
    `Optional<JCGLCullingStateType>` | `cullingState()`
    `default JCGLDepthStateType` | `depthState()`
    `default JCGLPolygonMode` | `polygonMode()`
    `Optional<com.io7m.jregions.core.unparameterized.areas.AreaL>` | `scissor()`
    `default JCGLStencilStateType` | `stencilState()`

- - ### Method Detail

    - #### blendState

          @Value.Parameter
          Optional<JCGLBlendStateType> blendState()

      Returns:
        The blending state, if blending is enabled

    - #### cullingState

          @Value.Parameter
          Optional<JCGLCullingStateType> cullingState()

      Returns:
        The culling state, if culling is enabled

    - #### colorBufferMaskingState

          @Value.Parameter
           @Value.Default
          default JCGLColorBufferMaskingStateType colorBufferMaskingState()

      Returns:
        The color buffer masking state

    - #### polygonMode

          @Value.Parameter
           @Value.Default
          default JCGLPolygonMode polygonMode()

      Returns:
        The polygon rendering mode

    - #### scissor

          @Value.Parameter
          Optional<com.io7m.jregions.core.unparameterized.areas.AreaL> scissor()

      Returns:
        The scissor region, if scissoring is enabled

    - #### depthState

          @Value.Parameter
           @Value.Default
          default JCGLDepthStateType depthState()

      Returns:
        The depth buffer state

    - #### stencilState

          @Value.Parameter
           @Value.Default
          default JCGLStencilStateType stencilState()

      Returns:
        The stencil buffer state

Copyright © 2017 <code@io7m.com> http://io7m.com